:root{
    --color1:#053362;
    --color2:#E6F4F1;
    --color3:#1259a0;
    --color4:#c2d6d2;
    --color5:#eee9a8;
    --color1-tr:#053362;
}

*{
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}
body{
    width: 100%;
    font-family: Arial, Helvetica, sans-serif;
    color: var(--color1);
    
    
}


header{
    width: 100%;
    padding:0.5rem;
    min-width:360px;
    background-color: #053362f1;
    position: fixed;
    top: 0;
    backdrop-filter: blur(3px);
    background-blend-mode: multiply;
    z-index: 5;
}

nav{
    display: flex;
    max-width: 1080px;
    margin: 0 auto;
    justify-content: space-between;
    align-items: center;
}

#menu-toogle{
    background-color: transparent;
    
}
#menu-toogle svg{
    width: 30px;
    height: 30px;
    cursor: pointer; 
}
#logo{
   height: 45px; 
}


nav .menu{
    visibility: hidden;
    flex: 1;
    display: flex;
    flex-direction: column;
    list-style: none;
    justify-content: flex-end;
    align-items: center;
    position: absolute;
    top: 4rem;
    left: 0;
    right: 0;
    color: var(--color2);
    z-index: 4;
}



nav .menu.show{
    visibility: visible;
}


nav ul li{
    width: 100%;
    text-align: center;
    padding: 0.7rem 0;
    cursor: pointer;
    background-color:#053362f1;
}



nav ul li:hover{
    background-color: var(--color3);
    
}



nav li a{
    text-decoration: none;
    color: var(--bg-color3);
    border-bottom: 1px solid transparent;
    
}




.divisor{
    margin-top: -1px;
}


.hero{
    background-image: url(img/hero.jpg);
    padding-top: 2rem;
    background-size: cover;
    background-position: center;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;
    gap: 1rem;
    
}
.hero h1{
    margin-top: 3rem;
   color: var(--color2);
    font-size: 3rem;
    text-shadow: 0 0 5px rgba(46, 44, 44, 0.89);

}
.hero p{
    color: var(--color4);
    text-shadow: 0 0 10px rgba(68, 65, 65, 0.774);
}

.hero p:nth-of-type(2){
    font-size: 2rem;
}

.hero a{
    text-decoration: none;
    background-color: var(--color5);
    color: black;
    font-size: 1rem;
    padding: 1rem;
    margin-bottom: 1rem;
    border-radius: 2rem;
    font-weight: bold;
    transition: all 0.3s;
}


.hero a:hover{
    background-color: var(--color3);
    color: var(--color2);
}

section h2{
    padding-top: 1rem;
    text-align: center;
    font-size: 2rem;
}
section>p{
    text-align: center;
    margin-bottom: 1rem;
}

#programs{
    scroll-margin-top: 3rem;
}
.articles{
    display: flex;
    max-width: 1080px;
    justify-content: center;
    flex-direction: column;
    align-items: center;
    gap: 1rem;
    margin: 0 auto;
    
}

article{
    flex: 1;
    min-height: 200px;
    width: 90%;
    max-width: 300px;
    background-color: var(--color3);
    border-radius: 1rem;
    padding: 1rem;
    color: var(--color2);
    position: relative;
    overflow: hidden;
    cursor: pointer;
    transition: scale 0.5s;
}
article:hover{
    scale: 1.1;
}

article:nth-child(1){
    background-color: #eee9a8;
    color: black;
}




article h3{
    font-weight: bold;
    font-size: 1.4rem;
}

article>p{
    position: relative;
    font-weight: 200;
    font-style: italic;
    z-index: 2;
}

article img{
    height: 100%;
    position: absolute;
    right: 0;
}

#form-box{
    padding: 1rem;
    scroll-margin-top: 3rem;
}

form>fieldset{
    border-radius: 1rem;
    padding: 1rem;
    box-sizing: border-box;
    display: flex;
    gap: 0.2rem;
    flex-direction: column;
    border: 2px solid var(--color1);
}

hr{
    max-width: 1080px;
    margin: 0 auto;
}

footer{
    background-color: var(--color1);
    color: var(--color2);
    padding: 1rem 0;
    text-align: center;
    justify-content: center;
    display: flex;
    flex-direction: column;
    gap: 1rem;
}

footer a{
    text-decoration: none;
    color: var(--color2);
    font-style: italic;
}

footer a:hover{
    color: var(--color4);
}

form input, form select{
    font-size: 1rem;
    padding: 10px;
    
    border-radius: 10px;
    color: var(--color1);
    border: 1px solid var(--color1);
    font-style: italic;
    letter-spacing: 0.5px;
}

form label{
    font-size: 1rem;
    font-weight: 600;
    margin-top: 0.5rem;
}

form fieldset{
    padding: 0.5rem 2rem;
    border-radius: 10px;
    margin-top: 1rem;
}

form fieldset legend{
    font-weight: 600;
    
}

form button{
    padding: 1rem;
    font-size: 1rem;
    font-weight: bold;
    background-color: var(--color5);
    border: none;
    border-radius: 100px;
    margin: 0.5rem;
    cursor: pointer;
    transition: all 0.5s;
}

form button.clear{
    background-color: var(--color1);
    color: var(--color2);
}

form button.clear:hover{
    background-color: var(--color4);
    color: var(--color1);
}
form button:hover{
    background-color: var(--color1);
    color: var(--color2);
}

.overlay{
    position: fixed;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    backdrop-filter: blur(3px) brightness(70%) ;
    z-index: 10;
    visibility: hidden;
}

.overlay.show{
    visibility: visible;
}
.success-info h3{
    font-size: 2rem;
}
.success-info>p{
    font-size: 1rem;
}


.success-info{
    position: absolute;
    top:0;
    bottom: 0;
    left: 0;
    right: 0;
    margin: auto;
    max-width: 300px;
    max-height: 200px;
    height: fit-content;
    background-color: var(--color5);
    color: var(--color1);
    text-align: center;
    display: flex;
    flex-direction: column;
    padding: 1rem;
    font-size: 1.2rem;
    gap:0.5rem;
    border: 2px solid var(--color1);
    border-radius: 1rem;
    
}



#btn-info-ok{
    padding: 0.5rem;
    border-radius: 100px;
    border: none;
    background-color: var(--color1);
    font-size: 1.3rem;
    font-weight: bold;
    color: var(--color2);
    cursor: pointer;
}

#btn-info-ok:hover{
    background-color: var(--color3);
}




@media screen and (min-width:624px) {
    
    #menu-toogle{
        visibility: hidden;
    }

    #close-menu{
        display: none;
    }
    nav .menu{
        display: flex;
        flex-direction: row;
        position: static;
        visibility: visible;
        max-width: 400px;
    }

    nav .menu li{
        background-color: transparent;
    }

    menu{
        margin: 0 auto;
    }

    .articles{
        display: flex;
        flex: 1;
        justify-content: space-evenly;
        
    }
    
    
}


@media screen and (min-width:724px) {
    html{
        font-size: 1.2rem;
    }
    
    main{
        max-width: 1080px;
        margin: 0 auto;
        flex-direction: row;
        display: flex;
        
        flex-direction: row;
    }

    #programs{
        flex: 1;
    }

    #form-box{
        flex: 1;
    }

    footer{
        flex-direction: row;
    }
    
    
}
